Index: src/sas/sascalc/dataloader/readers/red2d_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/red2d_reader.py	(revision 8641070ab3f18b9bfb0a0277484ac01443525d30)
+++ src/sas/sascalc/dataloader/readers/red2d_reader.py	(revision c8321cfca1fe64cbabb0c8b781cf5aecc57c211b)
@@ -10,16 +10,14 @@
 ######################################################################
 import os
+import math
+import time
+
 import numpy as np
-import math
-from sas.sascalc.dataloader.data_info import plottable_2D, DataInfo, Detector
-from sas.sascalc.dataloader.file_reader_base_class import FileReader
-from sas.sascalc.dataloader.loader_exceptions import FileContentsException
-
-# Look for unit converter
-has_converter = True
-try:
-    from sas.sascalc.data_util.nxsunit import Converter
-except:
-    has_converter = False
+
+from sas.sascalc.data_util.nxsunit import Converter
+
+from ..data_info import plottable_2D, DataInfo, Detector
+from ..file_reader_base_class import FileReader
+from ..loader_exceptions import FileContentsException
 
 
@@ -31,5 +29,5 @@
     try:
         return float(x_point)
-    except:
+    except Exception:
         return 0
 
@@ -51,5 +49,4 @@
         :param data: data2D
         """
-        import time
         # Write the file
         try:
@@ -119,31 +116,25 @@
                 try:
                     wavelength = float(line_toks[1])
-                    # Units
-                    if has_converter == True and \
-                    self.current_datainfo.source.wavelength_unit != 'A':
+                    # Wavelength is stored in angstroms; convert if necessary
+                    if self.current_datainfo.source.wavelength_unit != 'A':
                         conv = Converter('A')
                         wavelength = conv(wavelength,
                                           units=self.current_datainfo.source.wavelength_unit)
-                except:
-                    #Not required
-                    pass
-                # Distance in mm
+                except Exception:
+                    pass  # Not required
                 try:
                     distance = float(line_toks[3])
-                    # Units
-                    if has_converter == True and self.current_datainfo.detector[0].distance_unit != 'm':
+                    # Distance is stored in meters; convert if necessary
+                    if self.current_datainfo.detector[0].distance_unit != 'm':
                         conv = Converter('m')
                         distance = conv(distance,
                             units=self.current_datainfo.detector[0].distance_unit)
-                except:
-                    #Not required
-                    pass
-
-                # Distance in meters
+                except Exception:
+                    pass  # Not required
+
                 try:
                     transmission = float(line_toks[4])
-                except:
-                    #Not required
-                    pass
+                except Exception:
+                    pass  # Not required
 
             if line.count("LAMBDA") > 0:
@@ -170,5 +161,5 @@
 
             ## Read and get data.
-            if data_started == True:
+            if data_started:
                 line_toks = line.split()
                 if len(line_toks) == 0:
@@ -178,4 +169,5 @@
                 col_num = len(line_toks)
                 break
+
         # Make numpy array to remove header lines using index
         lines_array = np.array(lines)
@@ -203,5 +195,5 @@
         # Change it(string) into float
         #data_list = map(float,data_list)
-        data_list1 = map(check_point, data_list)
+        data_list1 = list(map(check_point, data_list))
 
         # numpy array form
@@ -211,5 +203,5 @@
         try:
             data_point = data_array.reshape(row_num, col_num).transpose()
-        except:
+        except Exception:
             msg = "red2d_reader can't read this file: Incorrect number of data points provided."
             raise FileContentsException(msg)
@@ -325,7 +317,7 @@
 
         # Units of axes
-        self.current_dataset.xaxis("\\rm{Q_{x}}", 'A^{-1}')
-        self.current_dataset.yaxis("\\rm{Q_{y}}", 'A^{-1}')
-        self.current_dataset.zaxis("\\rm{Intensity}", "cm^{-1}")
+        self.current_dataset.xaxis(r"\rm{Q_{x}}", 'A^{-1}')
+        self.current_dataset.yaxis(r"\rm{Q_{y}}", 'A^{-1}')
+        self.current_dataset.zaxis(r"\rm{Intensity}", "cm^{-1}")
 
         # Store loading process information
